Subject: RE: questions about TEI STATUS in IUA

From: "Liao Ping" <[email-masked]>
Date: Fri, 1 Feb 2002 14:03:13 +0800

Hi,  Thank Subhodeep for help.  But I can not go through the message sequece yet.  Please see my new questions inline.Best Regards,Liao PingHi , See my answers inline. Cheers,Subhodeep-----Original Message-----From: Liao Ping [mailto:[email-masked]] Sent: Thursday, January 31, 2002 11:30 AMTo: sigtranSubject: questions about TEI STATUS in IUAHi, everyone  In RFC 3057, 3 primitives for TEI STATUS were defined in section 1.6.4,but I could not figure out when and how to use these primitives. Also I was puzzled by the usage of TEI(DLCI) in IUA messages.  Suppose a call initialized from an ASP, and SCTP association between ASP and SG was established:                SG                                                         ASPQ.921                          IUA                         IUA                         Q.931  |                             |                           |             (1)             |  |                             |          (2)              |<--DL-ESTABLISH request(CEI)-|  |            (3)              |<--Establish request(DLCI)-|                             |  |<--DL-ESTABLISH request(CEI)-|                           |                             |  |            (4)              |                           |                             |  |-DL-ESTABLISH confirm(CEI)-->|          (5)              |                             |  |                             |-Establish confirm(DLCI)-->|                             |(1) Q.931 on ASP send a primitive "DL-ESTABLISH request" with a parameter CEI to IUA on ASP(2) IUA on ASP send "Establish request" with parameter DLCI in IUA message header to IUA on SG(3) IUA on SG send "DL-ESTABLISH request" with a parameter CEI to Q.921 on SG(4) Q.921 send "DL-ESTABLISH confirm" with parameter CEI to IUA on SGHere are the questions:1. In step (2), how can I get TEI in DLCI used in IUA message header? [Subhodeep Sarkar] Normally , CES is mapped to TEI in DLCI (CEI consists of SAPI (0 in this case - Call Control Q.931) and CES)[Liao Ping] But how can IUA get the VERY FIRST TEI in IUA message header of "Establish request"? Could we suppose that TEI = 127(Broadcast) or TEI is choosen at random? There are no primitives(or on parameters) for IUA on ASP to get TEI information from both Layer Management and peer IUA entity. Should TEI assignment procedure be added here? 2. In step (3), should the parameter "CEI" be same as "CEI" in setp (1)?[Subhodeep Sarkar] Yes [Liao Ping] Ok, but how can IUA on SG get "CES" of IUA(or Q.931) on ASP? Are there any primitives(or parameters) which can convey "CES" information?3. Also in setp (3), it seems that IUA must map DLCI(getting in setp(2)) to CEI(sending to Q921), while Q.921 will do the same thing in setp (4). Is this correct?[Subhodeep Sarkar] Yes [Liao Ping] Ok, then we have 3 mapping procedures. First, on IUA of ASP, we have TEI(DLCI)<-(mapping)->CES(CEI); then we must do the same thing on both IUA of SG and Q.921 of SG. Is this correct?4. should DLCI in Q.921 be kept the same as DLCI in step (5)? how?[Subhodeep Sarkar] Yes[Subhodeep Sarkar] CES selected by the Layer 3 or management entity to address the Data Link Layer entity. When therelevant TEI is known by this entity, it will internally associate the DLCI to the CEI. The Layer 3 andmanagement entities will use this CEI to address its Peer entity. Please correct me if I am wrong. I would appreciate it if someone could provide me with any information on how to answer these questions.Best Regards,Liao Ping

b����.����\����&�v�,�kjv��(-��ڭ�b��b��"z���{.n�+���zwZnV��隊[h��zȠ����9�ir�+'��^�w���&

---

From: "Subhodeep Sarkar" <[email-masked]>
Date: Tue, 5 Feb 2002 09:57:14 +0530

******** PLEASE IGNORE THE DISCLAIMER TEXT FOR THE MAILING LIST **********
Hi ,
See my comments inline.
Cheers,
Subhodeep

-----Original Message-----
From: Liao Ping [mailto:[email-masked]] 
Sent: Friday, February 01, 2002 11:33 AM
To: sigtran
Subject: RE: questions about TEI STATUS in IUA

Hi,
  Thank Subhodeep for help.
  But I can not go through the message sequece yet.
  Please see my new questions inline.
 
Best Regards,
Liao Ping
 
Hi ,
 
See my answers inline.
 
Cheers,
Subhodeep

-----Original Message-----
From: Liao Ping [mailto:[email-masked]] 
Sent: Thursday, January 31, 2002 11:30 AM
To: sigtran
Subject: questions about TEI STATUS in IUA

Hi, everyone
  In RFC 3057, 3 primitives for TEI STATUS were defined in section 1.6.4,
but I could not figure out when and how to use these primitives. Also I was 
puzzled by the usage of TEI(DLCI) in IUA messages.
 
  Suppose a call initialized from an ASP, and SCTP association between ASP and SG was 
established: 
 
               SG                                                         ASP
Q.921                          IUA                         IUA                         Q.931
  |                             |                           |             (1)             |
  |                             |          (2)              |<--DL-ESTABLISH request(CEI)-|
  |            (3)              |<--Establish request(DLCI)-|                             |
  |<--DL-ESTABLISH request(CEI)-|                           |                             |
  |            (4)              |                           |                             |
  |-DL-ESTABLISH confirm(CEI)-->|          (5)              |                             |
  |                             |-Establish confirm(DLCI)-->|                             |
 
(1) Q.931 on ASP send a primitive "DL-ESTABLISH request" with a parameter CEI to IUA on ASP
(2) IUA on ASP send "Establish request" with parameter DLCI in IUA message header to IUA on SG
(3) IUA on SG send "DL-ESTABLISH request" with a parameter CEI to Q.921 on SG
(4) Q.921 send "DL-ESTABLISH confirm" with parameter CEI to IUA on SG
 
Here are the questions:
1. In step (2), how can I get TEI in DLCI used in IUA message header? 
[Subhodeep Sarkar] Normally , CES is mapped to TEI in DLCI (CEI consists of SAPI (0 in this case - Call Control Q.931) and CES)
 
[Liao Ping] But how can IUA get the VERY FIRST TEI in IUA message header of "Establish request"? Could we suppose that TEI = 127(Broadcast) or TEI is choosen at random? There are no primitives(or on parameters) for IUA on ASP to get TEI information from both Layer Management and peer IUA entity. Should TEI assignment procedure be added here? 
[Subhodeep Sarkar] As I mentioned earlier, the TEI is same as the CES - so when the DL-ESTABLISH primitive is being sent from the Q.931 layer to the IUA at the ASP, 
it copies the CES information to the TEI field. For example, if it's a point-to-point configuration , then the TEI is normally set to 0.
2. In step (3), should the parameter "CEI" be same as "CEI" in setp (1)?
[Subhodeep Sarkar] Yes 
 
[Liao Ping] Ok, but how can IUA on SG get "CES" of IUA(or Q.931) on ASP? Are there any primitives(or parameters) which can convey "CES" information?
[Subhodeep Sarkar] The SG receives the DLCI information in the IUA header and hence copies it to the CEI (since it's a one-to-one mapping). So no extra primitive
is required to exchange the information.
3. Also in setp (3), it seems that IUA must map DLCI(getting in setp(2)) to CEI(sending to Q921), while Q.921 will do the same thing in setp (4). Is this correct?
[Subhodeep Sarkar] Yes 
 
[Liao Ping] Ok, then we have 3 mapping procedures. First, on IUA of ASP, we have TEI(DLCI)<-(mapping)->CES(CEI); then we must do the same thing on both IUA of SG and Q.921 of SG. Is this correct?
[Subhodeep Sarkar] Since it's a one-to-one mapping we really don't require any seperate mapping procedures.  
4. should DLCI in Q.921 be kept the same as DLCI in step (5)? how?
[Subhodeep Sarkar] Yes
[Subhodeep Sarkar] CES selected by the Layer 3 or management entity to address the Data Link Layer entity. When the

relevant TEI is known by this entity, it will internally associate the DLCI to the CEI. The Layer 3 and

management entities will use this CEI to address its Peer entity.

Please correct me if I am wrong. I would appreciate it if someone could provide me with any 
information on how to answer these questions.
 
Best Regards,
Liao Ping

b嫮绠范\够?v趭 jv叉∽ζ應姎r墦㈤旃??薇檩i筞濭)m毥?傏跓藿邸ナ脯瀶韟Y薹 +捛(

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]